HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Add or Update an Account Tariff with {accountId}

Add or update an account tariff using the Arcadia-generated accountId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Add or update an account tariff using the Arcadia-generated accountId.

Use this endpoint when you store and reference the Arcadia accountId for an account. To add or update an account tariff using your own account identifier, use Add or Update Account Tariff with providerAccountId.

Set the tariff for a service type such as ELECTRICITY or SOLAR_PV. You can also set effectiveDate when the account switches tariffs or confirm a defaulted tariff by passing customerLikelihood as null or 100.

Resource URI

PUT /rest/v1/accounts/{accountId}/tariffs

Path parameters

ParameterTypeDescription
accountIdStringArcadia UUID of the Account object. Required.

Request parameters

Place the account tariff to add or update in the request body. When editing an existing tariff entry, Switch matches the entry by serviceType and effectiveDate.

When switching an account from one tariff to another at a specific point in time, set effectiveDate. Switch checks for overlapping effective ranges and returns an error if one exists.

FieldTypeDescription
masterTariffIdIntegerMaster tariff ID to assign to the account. Required.
serviceTypeStringService type for the tariff assignment, such as ELECTRICITY or SOLAR_PV. Defaults to ELECTRICITY when omitted. Optional.
customerLikelihoodNumberLikelihood that the account is on this tariff. Use 100 or null to confirm a defaulted tariff. Optional.
effectiveDateDateDate the tariff becomes effective for the account. Required when storing multiple tariff assignments. Optional otherwise.
endDateDateDate the tariff assignment ends. Use null for an open-ended tariff assignment. Optional.

For the full data model, account tariff workflow, tariff assignment behavior, and detailed examples, see Account Tariffs API.

Example

This example sets or confirms a tariff on the account. Pass masterTariffId and serviceType. If serviceType is not set, it defaults to ELECTRICITY.

PUT /rest/v1/accounts/1c06e306-bbb0-473a-973c-93d947f0761b/tariffs

This request payload includes optional customerLikelihood and date fields. You do not need to include customerLikelihood when the value is null or 100, and you do not need to include date fields when setting them to null.

{  
    "masterTariffId": 522,  
    "serviceType": "ELECTRICITY",  
    "customerLikelihood": 100,  
    "effectiveDate": null,  
    "endDate": null  
}

A successful request returns a standard response payload with type set to Tariff and results containing the updated account tariff.

{  
   "status": "success",  
   "count": 1,  
   "type": "Tariff",  
   "results": [  
      {  
         "masterTariffId": 522,  
         "customerClass": null,  
         "customerLikelihood": 100,  
         "endDate": null,  
         "timeZone": "America/Los_Angeles",  
         "billingPeriod": "MONTHLY",  
         "currency": "USD"  
      }  
   ]  
}
Path Params
string
required

This is the Arcadia UUID of the Account object.

Body Params
RAW_BODY
object

Tariff Object

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json